Skip to main content

Continue a conversation (streaming)

POST 

/agents/:agentId/conversations/:conversationId/messages/stream

Submit a follow-up question to an existing conversation and receive the response as a Server-Sent Events (SSE) stream. Requires the ECE feature flag to be enabled for the environment. GraphRag agents using the cin-ece-kd application key bypass this requirement and always have access to the streaming endpoint.

Request

Responses

Server-Sent Events stream. Each event is a JSON object prefixed with data: and terminated by a blank line. Possible event types: stream.started, stream.delta, stream.tool_call, stream.completed, response.incomplete, stream.error. The stream.error event includes a required error message and an optional code field (e.g. guardrail_violation) that identifies the error category.